package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserUpdateLog;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserUpdateLogMapper")
public interface UserUpdateLogMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserUpdateLog record);

    UserUpdateLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserUpdateLog record);

    List<UserUpdateLog> queryAllUserUpdateLog(UserUpdateLog record);

    List<UserUpdateLog> queryUserUpdateLogByPage(Map<String, Object> parameter);

    int delete(UserUpdateLog record);

    UserUpdateLog queryUserUpdateLog(UserUpdateLog record);

    List<UserUpdateLog> query(UserUpdateLog record);
}

